#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
    autoconfigure: true
  QSL\CustomerSatisfaction\Core\Task\SendSurvey:
    tags:
      - {name: kernel.event_listener, event: xcart.cronjob, method: handleTask}
  QSL\CustomerSatisfaction\API\Endpoint\Order\Transformer\Survey\OutputTransformerInterface: '@QSL\CustomerSatisfaction\API\Endpoint\Order\Transformer\Survey\OutputTransformer'
  QSL\CustomerSatisfaction\API\Endpoint\Order\Transformer\Survey\OutputTransformer: null
  QSL\CustomerSatisfaction\API\Endpoint\Order\Transformer\Survey\Answer\OutputTransformerInterface: '@QSL\CustomerSatisfaction\API\Endpoint\Order\Transformer\Survey\Answer\OutputTransformer'
  QSL\CustomerSatisfaction\API\Endpoint\Order\Transformer\Survey\Answer\OutputTransformer: null
  QSL\CustomerSatisfaction\API\Endpoint\Order\Transformer\Survey\Tag\OutputTransformerInterface: '@QSL\CustomerSatisfaction\API\Endpoint\Order\Transformer\Survey\Tag\OutputTransformer'
  QSL\CustomerSatisfaction\API\Endpoint\Order\Transformer\Survey\Tag\OutputTransformer: null
  QSL\CustomerSatisfaction\EventListener\OrderPreClearListener:
    tags:
      - {name: kernel.event_listener, event: xcart.entity-generator.pre-clear-event, method: onOrderPreClear}